API

Get products of an artist

get
/stores/{userIdentifier}/items
Path parameters
userIdentifierone ofRequired

The public key or user id of the user

Example: {"value":"BjjSsEQPb8V8V2xv91CYN6Tv4vztETJn9uRiKbMwgKe4","summary":"by public key"}
stringOptional
or
integerOptional
Query parameters
fulfillmentstring · enumOptional

foster fulfilled products are created and shipped by foster, user fulfilled products are shipped and managed by the user

Possible values:
editionbooleanOptional

return products linked with a master edition

edition_assignedbooleanOptional

return products that can be linked with a master edition but haven't been linked yet has no effect unless include_inactive=true

include_inactivebooleanOptional

if true, return products that cannot be bought reasons may be: not active, expired, supply sold out, master edition not linked

per_pageone ofOptional

number of products to return in one page use all to return all products

string · enumOptionalPossible values:
or
integerOptional
pageintegerOptional

page number, ignored if per_page=all

Responses
chevron-right
200

Successful response

application/json
idnumberRequired

product id

Example: 138
user_idnumberRequired

user id of the artist

Example: 220
namestringRequired

product name

Example: SuperteamDAO Hoodie
descriptionstringRequired

product description

Example: Premium Superteam hoodie, deep black, with a front pouch pocket and sleek flat drawstrings. - Crafted from 100% cotton for that unbeatable soft touch. - Medium weight for all-day comfort. - Bold embroidery on the chest
fulfillment_typestring · enumRequired

foster fulfilled products are created and shipped by foster, user fulfilled products are shipped and managed by the user

Possible values:
product_type_idnumberRequired

id of product class (eg shirt, hoodie, etc)

Example: 24
selling_pricenumberRequired

selling price of product in US cents

Example: 6900
foster_amountnumberRequired

foster's cut in US cents

Example: 345
current_supplynumberRequired

number of items sold

Example: 0
supplynumberOptional

max number of items available for sale, null means no limit

master_edition_addressstringOptional

if the product is linked to prints of an edition, it's address will be here

sale_start_atstring · date-timeOptionalExample: 2024-08-06T18:09:36
sale_end_atstring · date-timeOptional
optionsanyRequired

additional options specific to the product

Example: {"product_images":["https://foster-marketplace-dev.s3.us-east-2.amazonaws.com/SuperteamDAOHoodie-1front1722967869233.png","https://foster-marketplace-dev.s3.us-east-2.amazonaws.com/SuperteamDAOHoodie-1back1722967876429.png","https://foster-marketplace-dev.s3.us-east-2.amazonaws.com/SuperteamDAOHoodie-1right1722967878464.png","https://foster-marketplace-dev.s3.us-east-2.amazonaws.com/SuperteamDAOHoodie-1left1722967879655.png"],"shipping_responsibility":"di_seller"}
created_atstring · date-timeRequiredExample: 2024-08-06T18:11:23.717961
updated_atstring · date-timeOptional
deleted_atstring · date-timeOptional
get
/stores/{userIdentifier}/items

Last updated